<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Revenu d'op&eacute;ration</title>
<link href="../baseCSS.css" rel="stylesheet" type="text/css">
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");



//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");


	
//SI CEST LA PREMIERE FOIS, DEMANDER LA DATE DEBUT ET DATE FIN A AFFICHER DANS LE RAPPORT	
if (empty($etape))
{?>
	<font size=3><h1>REVENUS D'OP&Eacute;RATION DE LOCATION</h1><br><BR>
	
<!--	
	<table cellspacing=0 cellpadding=0 border=1><tr><td valign=top>
		<form action=revenu-location.php method=get name=registre>
		<?php // print("<input type=hidden name=Bsession_id value=".$Bsession_id.">"); ?>
		<input type=hidden name=etape value=1>
		<h2><B>Recherche par date de d&eacute;but</B></h2><BR>
		<table border=0 cellpadding=0 cellspacing=0>
		<tr><td width=100px valign=top>
			<h2>Date de d&eacute;but : 
		</td><td width=300px>
			<h2><input type=text name=date_debut align=top maxlength=10 size=15>(AAAA-MM-JJ)
		</td></tr>
		<tr><td valign=top>
			<h2>Date de fin :
		</td><td>	
			<h2><input type=text name=date_fin align=top maxlength=10 size=15>(AAAA-MM-JJ)
			<input type=submit name=suite value=Suite><BR><BR>
			</form>
		</td></tr>
		</table>
	</td><td width=300px valign=top>
		<h2>Recherche et affiche tout les contrats par la date de d&eacute;but du contrat.
		<BR><BR><U>exemple:</U><BR>
		date de debut : 2006-01-03<BR>
		date de fin : 2006-02-03<BR>
		Affiche tout les contrats dont la date de d&eacute;but commence par 2006-01-03 jusqu'au contrat dont la date de d&eacute;but commence par 2006-02-03
		</td>
	</tr>
	</table>	
	<BR><BR><BR>
-->


<?php //RECHERCHE PAR ANNEE ?>	
	<table cellspacing=0 cellpadding=0 border=1><tr><td width=400px valign=top>
		<form action="\revenu-location.php?Bsession_id=".$Bsession_id."\" method=get name=registre>
		<?php  print("<input type=hidden name=Bsession_id value=".$Bsession_id.">"); ?>
		<input type=hidden name=etape value=1>
		<h2><B>Recherche par ann&eacute;e fiscale</B></h2><BR>
		<table border=0 cellpadding=0 cellspacing=0>
		<tr><td>
			<h2>
			<?php 
			
			$sql_annuelle = "SELECT annee_debut, annee_fin, actif
		 	   		     FROM base_ref1annuelles
						 ORDER BY annee_debut;";
			$result_annuelle = mysql_query($sql_annuelle) or die ("Ne peut lire dans la table base_ref1annuelles<br><br>".$sql_annuelle);
			$num_annuelle = mysql_numrows($result_annuelle);
				
				
			print("<h2>Ann&eacute;e : <select name=\"selection_annee_fiscale\">");	
			while ($row_annuelle = mysql_fetch_row ($result_annuelle))
			{	
				$annee_debut = $row_annuelle[0];
				$annee_fin = $row_annuelle[1];
				$actif = $row_annuelle[2];
				print("<option value=".$annee_debut.">".$annee_debut."/".$annee_fin."</option>");
			}
			print("</select>");
			?>
			<input type=submit name=suite value=Suite><BR><BR>
			</form>
		</td></tr>
		</table>
	</td><td width=300px valign=top>
		<h2>Recherche et affiche tout les contrats du mois choisi
		<BR><BR><U>exemple:</U><BR>
		ann&eacute;e : 2006<BR>
		mois : janvier<BR>
		Affiche tout les contrats du mois de janvier de l'ann&eacute;e 2006.
		</td>
	</tr>
	</table>	
	<BR><BR><BR>

	<?php //RECHERCHE PAR MOIS ?>	
	<table cellspacing=0 cellpadding=0 border=1><tr><td width=400px valign=top>
		<form action="\revenu-location.php?Bsession_id=".$Bsession_id."\" method=get name=registre>
		<?php  print("<input type=hidden name=Bsession_id value=".$Bsession_id.">"); ?>
		<input type=hidden name=etape value=1>
		<h2><B>Recherche par mois</B></h2><BR>
		<table border=0 cellpadding=0 cellspacing=0>
		<tr><td>
			<h2>
			<?php 
			print("Ann&eacute;e : <input type=text name=selection_annee align=top maxlength=4 size=4>(AAAA)&nbsp;&nbsp;&nbsp;");
			print("Mois : <select name=\"selection_mois\">");
			print("<option value=\"1\">01-Janvier</option>
				<option value=\"2\">02-Fevrier</option>
				<option value=\"3\">03-Mars</option>
				<option value=\"4\">04-Avril</option>
				<option value=\"5\">05-Mai</option>
				<option value=\"6\">06-Juin</option>
				<option value=\"7\">07-Juillet</option>
				<option value=\"8\">08-Aout</option>
				<option value=\"9\">09-Septembre</option>
				<option value=\"10\">10-Octobre</option>
				<option value=\"11\">11-Novembre</option>
				<option value=\"12\">12-Decembre</option>			
			</select>");
			?>
			<input type=submit name=suite value=Suite><BR><BR>
			</form>
		</td></tr>
		</table>
	</td><td width=300px valign=top>
		<h2>Recherche et affiche tout les contrats du mois choisi
		<BR><BR><U>exemple:</U><BR>
		ann&eacute;e : 2006<BR>
		mois : janvier<BR>
		Affiche tout les contrats du mois de janvier de l'ann&eacute;e 2006.
		</td>
	</tr>
	</table>	
	
<?php 	
}
elseif($etape == 1)
{
//VARIABLE POUR LES COULEURS DU TABLEAU
$bgcolor_titre = "#A1A1A1";
$bgcolor_sous_titre = "#D6D6D6";
	
	
	print("<table width=2700px border=1 cellpadding=0 cellspacing=0><tr><td colspan=32 bgcolor=$bgcolor_titre><BR>");
	print("<h1>REVENUS D'OP&Eacute;RATION DE LOCATION</h1><BR></td></tr>");

	//////////////////////////////////////////////////////////////////////////////////////////////////////
	// 1 - ENTETE DU TABLEAU																			//
	//////////////////////////////////////////////////////////////////////////////////////////////////////

	
	//titre des colonnes
	print("<tr><td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>MOIS</td>");
	print("<td width=50px bgcolor=$bgcolor_sous_titre><h2><center><b>CONT.</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>NO. ET NOM DU GROUPE</td>");
	print("<td width=120px bgcolor=$bgcolor_sous_titre><h2><center><b>CHALET</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>MONTANT<br>R&Eacute;EL</td>");
	print("<td width=60px bgcolor=$bgcolor_sous_titre><h2><center><b>RABAIS<br>EXT.</td>");
	print("<td width=60px bgcolor=$bgcolor_sous_titre><h2><center><b>RABAIS<br>S.M.M.</td>");
	print("<td width=60px bgcolor=$bgcolor_sous_titre><h2><center><b>RABAIS<br>DISTRICT</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>RABAIS<br>CALENDRIER</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>MONTANT<br>DU<br>CONTRAT</td>");
	print("<td width=60px bgcolor=$bgcolor_sous_titre><h2><center><b>QUI</td>");
	print("<td width=70px bgcolor=$bgcolor_sous_titre><h2><center><b>NBR.<br>ADULTES</td>");
	print("<td width=70px bgcolor=$bgcolor_sous_titre><h2><center><b>NBR.<br>JEUNES</td>");
	print("<td width=70px bgcolor=$bgcolor_sous_titre><h2><center><b>NUIT&Eacute;ES</td>");
	print("<td width=70px bgcolor=$bgcolor_sous_titre><h2><center><b>NB REPAS</td>");

	print("<td bgcolor=black><font size=1><center><b>.</td>");
	//poste
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b><br><br><b>2420</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>SCOUTS<br>S.M.M.<br><b>4010</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>PROG.<br>ACC&Egrave;S<br>TRIO<br><b>4015</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>SCOUTS<br>EXT&Eacute;RIEUR<br><b>4020</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>FORMATION<br>DISTRICT<br><b>4025</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>FAMILLES<br><b>4030</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>&Eacute;COLE ET<br>AUTRES<br><b>4035</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>H&Eacute;BERG.<br>EMPLOY&Eacute;S<br><b>4040</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>ACTIVIT&Eacute;S<br>BASES<br><b>4045</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>PLEIN AIR<br>ATELIERS<br>BOIS/PAILLE<br><b>4050</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>CAMP DE<br>JOUR<br><b>4055</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>CAF&Eacute;T&Eacute;RIA<br><b>4060</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>REPAS EMPLOY&Eacute;S<br><b>4061</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b><br><b>4205</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>MONTANT<br>RE&Ccedil;U</td>");
	print("<td width=90px bgcolor=$bgcolor_sous_titre><h2><center><b>DIFF.</td>");
	print("</tr>");
	print("<tr><td colspan=32 bgcolor=black><font size=-5>.</td></tr>");










	//////////////////////////////////////////////////////////////////////////////////////////////////////
	// 2 - INITIALISATION DES VARIABLES																	//
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	//TOTAUX POUR CHAQUE CONTRAT
	$tot_montant_reel=0;
	$tot_rabais_ext=0;
	$tot_rabais_smm=0;
	$tot_rabais_district=0;
	$tot_rabais_calendrier=0;
	$tot_montant_contrat=0;
	$tot_nbr_adultes=0;
	$tot_nbr_jeunes=0;
	$tot_nbr_repas=0;
	$p2420=0;
	$p4010=0;
	$p4015=0;
	$p4020=0;
	$p4025=0;
	$p4030=0;
	$p4035=0;
	$p4040=0;
	$p4045=0;
	$p4050=0;
	$p4055=0;
	$p4060=0;
	$p4061=0;
	$p4205=0;
	//TOTAUX POUR CHAQUE MOIS
	$tot_p2420=0;
	$tot_p4010=0;
	$tot_p4015=0;
	$tot_p4020=0;
	$tot_p4025=0;
	$tot_p4030=0;
	$tot_p4035=0;
	$tot_p4040=0;
	$tot_p4045=0;
	$tot_p4050=0;
	$tot_p4055=0;
	$tot_p4060=0;
	$tot_p4061=0;
	$tot_p4205=0;
	$mois_actuel=0;
	$old_mois=0;
	$mois_montant_reel=0;
	$mois_rabais_ext=0;
	$mois_rabais_smm=0;
	$mois_rabais_district=0;
	$mois_rabais_calendrier=0;
	$mois_montant_du_contrat=0;
	$mois_nbr_adultes=0;
	$mois_nbr_jeunes=0;
	$mois_nuitees=0;
	$mois_nb_repas=0;
	$mois_2420=0;
	$mois_4010=0;
	$mois_4015=0;
	$mois_4020=0;
	$mois_4025=0;
	$mois_4030=0;
	$mois_4035=0;
	$mois_4040=0;
	$mois_4045=0;
	$mois_4050=0;
	$mois_4055=0;
	$mois_4060=0;
	$mois_4061=0;
	$mois_4205=0;
	$mois_montant_recu=0;
	$mois_diff=0;
	//GRAND TOTAL A LA FIN DU RAPPORT
	$grand_tot_montant_reel=0;
	$grand_tot_rabais_ext=0;
	$grand_tot_rabais_smm=0;
	$grand_tot_rabais_district=0;
	$grand_tot_rabais_calendrier=0;
	$grand_tot_montant_du_contrat=0;
	$grand_tot_nbr_adultes=0;
	$grand_tot_nbr_jeunes=0;
	$grand_tot_nuitees=0;
	$grand_tot_nbr_repas=0;
	$grand_tot_p2420=0;
	$grand_tot_p4010=0;
	$grand_tot_p4015=0;
	$grand_tot_p4020=0;
	$grand_tot_p4025=0;
	$grand_tot_p4030=0;
	$grand_tot_p4035=0;
	$grand_tot_p4040=0;
	$grand_tot_p4045=0;
	$grand_tot_p4050=0;
	$grand_tot_p4055=0;
	$grand_tot_p4060=0;
	$grand_tot_p4061=0;
	$grand_tot_p4205=0;





	//////////////////////////////////////////////////////////////////////////////////////////////////////
	// 3 - COLLECTE DES DONN&Eacute;ES																			//
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	//TABLE CONTRAT***************************************************************************************
	if (!empty($selection_annee_fiscale))
	{//SI IL VEUT AFFICHER UNE ANNEE FINANCIERE COMPLETE
		$x = 0;
		$mois[0] = 4;
		$mois[1] = 5;
		$mois[2] = 6;
		$mois[3] = 7;
		$mois[4] = 8;
		$mois[5] = 9;
		$mois[6] = 10;
		$mois[7] = 11;
		$mois[8] = 12;
		$mois[9] = 1;
		$mois[10] = 2;
		$mois[11] = 3;
		
		while ( $x < 12)//LOOP POUR CHAQUE MOIS
		{
			if ($x < 9)
				$annee_recherche = $selection_annee_fiscale;
			if ($x > 8)
				$annee_recherche = $selection_annee_fiscale+1;
		
			//TABLE CONTRAT***************************************************************************************	
			$sql_contrat = "SELECT code_contrat, numero_contrat, num_client, date_emission, date_debut, date_fin, cal_debut, cal_fin, nuite, etat, depot, depot_lock, mois_du_contrat 
			        FROM base_contrat
					WHERE etat <> 'annul&eacute;'
					AND etat <> 'soumission'
					AND mois_du_contrat = '$mois[$x]'
					AND YEAR(date_debut) = $annee_recherche
					ORDER BY mois_du_contrat, date_debut;";
					//ORDER BY YEAR(date_debut), mois_du_contrat;";
					
						
				$result_contrat = mysql_query($sql_contrat)
				or die ("Ne peut lire des contrat".$sql_contrat);
				$num_contrat = mysql_numrows($result_contrat);
				
				//GENERE LE MOIS
				list ($mois_affichage_montant_reel,$mois_affichage_rabais_ext,$mois_affichage_rabais_smm,$mois_affichage_rabais_district,$mois_affichage_rabais_calendrier,$mois_affichage_montant_du_contrat,$mois_affichage_nbr_adultes,$mois_affichage_nbr_jeunes,$mois_affichage_nuitees,$mois_affichage_nb_repas,$mois_affichage_2420,$mois_affichage_4010,$mois_affichage_4015,$mois_affichage_4020,$mois_affichage_4025,$mois_affichage_4030,$mois_affichage_4035,$mois_affichage_4040,$mois_affichage_4045,$mois_affichage_4050,$mois_affichage_4055,$mois_affichage_4060,$mois_affichage_4061,$mois_affichage_4205,$mois_affichage_montant_recu,$mois_affichage_diff) = genere_tableau($result_contrat, $num_contrat, $selection_mois, $selection_annee,$mois[$x]);
				
				
				$grand_tot_montant_reel += $mois_affichage_montant_reel;
				$grand_tot_rabais_ext += $mois_affichage_rabais_ext;
				$grand_tot_rabais_smm += $mois_affichage_rabais_smm;
				$grand_tot_rabais_district += $mois_affichage_rabais_district;
				$grand_tot_rabais_calendrier += $mois_affichage_rabais_calendrier;
				$grand_tot_montant_du_contrat += $mois_affichage_montant_du_contrat;
				$grand_tot_nbr_adultes += $mois_affichage_nbr_adultes;
				$grand_tot_nbr_jeunes += $mois_affichage_nbr_jeunes;
				$grand_tot_nuitees += $mois_affichage_nuitees;
				$grand_tot_nbr_repas += $mois_affichage_nb_repas;
				$grand_tot_p2420 += $mois_affichage_2420;
				$grand_tot_p4010 += $mois_affichage_4010;
				$grand_tot_p4015 += $mois_affichage_4015;
				$grand_tot_p4020 += $mois_affichage_4020;
				$grand_tot_p4025 += $mois_affichage_4025;
				$grand_tot_p4030 += $mois_affichage_4030;
				$grand_tot_p4035 += $mois_affichage_4035;
				$grand_tot_p4040 += $mois_affichage_4040;
				$grand_tot_p4045 += $mois_affichage_4045;
				$grand_tot_p4050 += $mois_affichage_4050;
				$grand_tot_p4055 += $mois_affichage_4055;
				$grand_tot_p4060 += $mois_affichage_4060;
				$grand_tot_p4061 += $mois_affichage_4061;
				$grand_tot_p4205 += $mois_affichage_4205;
				$grand_tot_montant_recu += $mois_affichage_montant_recu;
				$grand_tot_diff += $mois_affichage_diff;
				
				$x++;
		}//fin while
		//GENERE LE GRAND TOTAL
		genere_grand_total($grand_tot_montant_reel,$grand_tot_rabais_ext,$grand_tot_rabais_smm,$grand_tot_rabais_district,$grand_tot_rabais_calendrier,$grand_tot_montant_du_contrat,$grand_tot_nbr_adultes,$grand_tot_nbr_jeunes,$grand_tot_nuitees,$grand_tot_nbr_repas,$grand_tot_p2420,$grand_tot_p4010,$grand_tot_p4015,$grand_tot_p4020,$grand_tot_p4025,$grand_tot_p4030,$grand_tot_p4035,$grand_tot_p4040,$grand_tot_p4045,$grand_tot_p4050,$grand_tot_p4055,$grand_tot_p4060,$grand_tot_p4061,$grand_tot_p4205,$grand_tot_montant_recu,$grand_tot_diff);	

	}
	elseif (!empty($selection_annee))
	{//SI IL FAIT UNE RECHERCHE POUR UN SEUL MOIS
		$sql_contrat = "SELECT code_contrat, numero_contrat, num_client, date_emission, date_debut, date_fin, cal_debut, cal_fin, nuite, etat, depot, depot_lock, mois_du_contrat 
		        FROM base_contrat
				WHERE etat <> 'annul&eacute;'
				AND etat <> 'soumission'
				AND mois_du_contrat = '$selection_mois'
				AND YEAR(date_debut) = '$selection_annee'
				ORDER BY mois_du_contrat, date_debut;";	
				
		$result_contrat = mysql_query($sql_contrat)
		or die ("Ne peut lire des contrat".$sql_contrat);
		$num_contrat = mysql_numrows($result_contrat);
		
		//GENERE LE MOIS
		list ($grand_tot_montant_reel,$grand_tot_rabais_ext,$grand_tot_rabais_smm,$grand_tot_rabais_district,$grand_tot_rabais_calendrier,$grand_tot_montant_du_contrat,$grand_tot_nbr_adultes,$grand_tot_nbr_jeunes,$grand_tot_nuitees,$grand_tot_nbr_repas,$grand_tot_p2420,$grand_tot_p4010,$grand_tot_p4015,$grand_tot_p4020,$grand_tot_p4025,$grand_tot_p4030,$grand_tot_p4035,$grand_tot_p4040,$grand_tot_p4045,$grand_tot_p4050,$grand_tot_p4055,$grand_tot_p4060,$grand_tot_p4061,$grand_tot_p4205,$grand_tot_montant_recu,$grand_tot_diff) = genere_tableau($result_contrat, $num_contrat, $selection_mois, $selection_annee,$selection_mois);
		//GENERE LE GRAND TOTAL
		genere_grand_total($grand_tot_montant_reel,$grand_tot_rabais_ext,$grand_tot_rabais_smm,$grand_tot_rabais_district,$grand_tot_rabais_calendrier,$grand_tot_montant_du_contrat,$grand_tot_nbr_adultes,$grand_tot_nbr_jeunes,$grand_tot_nuitees,$grand_tot_nbr_repas,$grand_tot_p2420,$grand_tot_p4010,$grand_tot_p4015,$grand_tot_p4020,$grand_tot_p4025,$grand_tot_p4030,$grand_tot_p4035,$grand_tot_p4040,$grand_tot_p4045,$grand_tot_p4050,$grand_tot_p4055,$grand_tot_p4060,$grand_tot_p4061,$grand_tot_p4205,$grand_tot_montant_recu,$grand_tot_diff);
	}

}	
	
	
	
	
	
	
	
	
FUNCTION genere_tableau($result_contrat, $num_contrat, $selection_mois, $selection_annee,$old_mois)
{	

	//VARIABLE POUR LES COULEURS DU TABLEAU
	$bgcolor_titre = "#A1A1A1";
	$bgcolor_sous_titre = "#D6D6D6";
	
	while ($row_contrat = mysql_fetch_row ($result_contrat))
	{
		$compteur_contrat++;
		$p2420=0;
		$p4010=0;
		$p4015=0;
		$p4020=0;
		$p4025=0;
		$p4030=0;
		$p4035=0;
		$p4040=0;
		$p4045=0;
		$p4050=0;
		$p4055=0;
		$p4060=0;
		$p4061=0;
		$p4205=0;
		$tot_chalet_prix_plein = 0;	
		$tot_chalet_prix_rabais = 0;
		$tot_activite_prix_plein = 0;
		$tot_activite_prix_rabais = 0;
		$tot_loc_prix_plein =0;
		$tot_loc_prix_rabais = 0;
		$tot_achat_prix_plein = 0;
		$tot_achat_prix_rabais = 0;
		$tot_rabais_prix = 0;
		$tot_depot_montant = 0;
		
		

		if ($num_contrat)
		{
			$i = 0;
			$code_contrat = ($row_contrat[$i++]);
			$numero_contrat = ($row_contrat[$i++]);
			$num_client = ($row_contrat[$i++]);
			$date_emission = ($row_contrat[$i++]);
			$date_debut = ($row_contrat[$i++]);
			$date_fin = ($row_contrat[$i++]);
			$cal_debut = ($row_contrat[$i++]);
			$cal_fin = ($row_contrat[$i++]);
			$nuitees = ($row_contrat[$i++]);
			$etat = ($row_contrat[$i++]);
			$depot = ($row_contrat[$i++]);
			$depot_lock = ($row_contrat[$i++]);
			$mois_du_contrat = ($row_contrat[$i++]);
			$aaa= $mois_du_contrat;
			
			
			$old_mois = $mois_actuel;
			//Decoupe les dates
			$debut_aryDateMaintenant = explode("-",$date_debut);
			$mois_actuel = $mois_du_contrat;
			
			
			

			//SI CEST LA FIN DU MOIS, AFFICHER LES TOTAUX
			
			if (($old_mois <> 0) and ($old_mois <> $mois_actuel))
			{

				//TRANSFERT DES VARIABLES DANS CELLE POUR L'AFFICHAGE DU TOTAL
				$mois_affichage_montant_reel = $mois_montant_reel;
				$mois_affichage_rabais_ext = $mois_rabais_ext;
				$mois_affichage_rabais_smm = $mois_rabais_smm;
				$mois_affichage_rabais_district = $mois_rabais_district;
				$mois_affichage_rabais_calendrier = $mois_rabais_calendrier;
				$mois_affichage_montant_du_contrat = $mois_montant_du_contrat;
				$mois_affichage_nbr_adultes = $mois_nbr_adultes;
				$mois_affichage_nbr_jeunes = $mois_nbr_jeunes;
				$mois_affichage_nuitees = $mois_nuitees;
				$mois_affichage_nb_repas = $mois_nb_repas;
				$mois_affichage_2420 = $mois_2420;
				$mois_affichage_4010 = $mois_4010;
				$mois_affichage_4015 = $mois_4015;
				$mois_affichage_4020 = $mois_4020;
				$mois_affichage_4025 = $mois_4025;
				$mois_affichage_4030 = $mois_4030;
				$mois_affichage_4035 = $mois_4035;
				$mois_affichage_4040 = $mois_4040;
				$mois_affichage_4045 = $mois_4045;
				$mois_affichage_4050 = $mois_4050;
				$mois_affichage_4055 = $mois_4055;
				$mois_affichage_4060 = $mois_4060;
				$mois_affichage_4061 = $mois_4061;
				$mois_affichage_4205 = $mois_4205;
				$mois_affichage_montant_recu = $mois_montant_recu;
				$mois_affichage_diff = $mois_diff;
				
				//REMISE A ZERO DES TOTAUX POUR LE NOUVEAU MOIS
				$mois_montant_reel=0;
				$mois_rabais_ext=0;
				$mois_rabais_smm=0;
				$mois_rabais_district=0;
				$mois_rabais_calendrier=0;
				$mois_montant_du_contrat=0;
				$mois_nbr_adultes=0;
				$mois_nbr_jeunes=0;
				$mois_nuitees=0;
				$mois_nb_repas=0;
				$mois_2420=0;
				$mois_4010=0;
				$mois_4015=0;
				$mois_4020=0;
				$mois_4025=0;
				$mois_4030=0;
				$mois_4035=0;
				$mois_4040=0;
				$mois_4045=0;
				$mois_4050=0;
				$mois_4055=0;
				$mois_4060=0;
				$mois_4061=0;
				$mois_4205=0;
				$mois_montant_recu=0;
				$mois_diff=0;
				$ok=1;
			}				
			$mois_nuitees = $mois_nuitees + $nuitees;
			$grand_tot_nuitees+=$nuitees;	
		}
		else
		{
			die ("Il y a un probl&egrave;me dans la base de donn&eacute;es contrat !".$sql_contrat);
		}




		//TABLE CLIENT***************************************************************************************
		$sql_client = "SELECT organisme, type, code_client
			       	FROM base_clients
				    WHERE base_clients.code_client = '$num_client';";
		$result_client = mysql_query($sql_client) or die ("Ne peut lire dans la table des clients".$sql_client);
		$num_client = mysql_numrows($result_client);
		if ($num_client)
		{
			$c = 0;
			$row_client = mysql_fetch_row ($result_client);
			$client_organisme = ($row_client[$c++]);
			$client_type = ($row_client[$c++]);
			$code_client = ($row_client[$c++]);
		}
		else
		{
			die ("Il y a un probl&egrave;me dans la base de donn&eacute;es !".$sql_client);
		}

	
	
	
	
		//TABLE NB_CLIENT***************************************************************************************
		$sql_nb_client = "SELECT nb_jeune, nb_adulte
			       	FROM base_nb_clients
				    WHERE base_nb_clients.code_contrat = '$code_contrat'
					AND base_nb_clients.actif = 'O';";
		$result_nb_client = mysql_query($sql_nb_client) or die ("Ne peut lire dans la table nb clients".$sql_nb_client);
		$num_nb_client = mysql_numrows($result_nb_client);
		if ($num_nb_client)
		{
			$d = 0;
			$row_nb_client = mysql_fetch_row ($result_nb_client);
			$nbr_jeunes = ($row_nb_client[$d++]);
			$nbr_adultes = ($row_nb_client[$d++]);
			$mois_nbr_adultes = $mois_nbr_adultes + $nbr_adultes;
			$mois_nbr_jeunes = $mois_nbr_jeunes + $nbr_jeunes;
			$grand_tot_nbr_adultes+=$nbr_adultes;
			$grand_tot_nbr_jeunes+=$nbr_jeunes;
		}
		else
		{
			die ("Il y a un probl&egrave;me dans la base de donn&eacute;es !".$sql_nb_client);
		}
	
	
	
	

		//TABLE CHALET***************************************************************************************
		$sql_chalet = "SELECT base_ref1chalets.nom, base_chalets.num_chalet, base_chalets.prix_par_jour, base_chalets.prix_plein, base_chalets.prix_rabais,
		               base_chalets.actif, base_chalets.date_modif
		   		  FROM base_ref1chalets, base_chalets
				 WHERE base_chalets.code_contrat = '$code_contrat'
		 			  AND base_chalets.actif = 'O'
					  AND base_chalets.reservation = 'N'
		              AND base_ref1chalets.num_chalet = base_chalets.num_chalet;";
		$result_chalet = mysql_query($sql_chalet) or die ("Ne peut lire dans la table base_ref1chalets<br><br>".$sql_chalet);
		$num_chalet = mysql_numrows($result_chalet);
		
		//MISE A ZERO DES VARIABLES
			$chalet_nom_tot = "";
			$chalet_prix_par_jour = 0;
			$chalet_prix_plein = 0;
			$chalet_prix_rabais = 0;
		
		while ($row_chalet = mysql_fetch_row ($result_chalet))
		{	
			//MISE A ZERO DES VARIABLES
			$chalet_prix_par_jour = 0;
			$chalet_prix_plein = 0;
			$chalet_prix_rabais = 0;
				
			if ($num_chalet)
			{
				$j = 0;
				$chalet_nom = ($row_chalet[$j++]);
				$chalet_nom_tot = ($chalet_nom_tot." ".$chalet_nom.",");		//INCR&Eacute;MENTATION DES NOMS DE CHALETS DANS UNE SEUL VARIABLE
				$chalet_num_chalet = ($row_chalet[$j++]);
				$chalet_prix_par_jour = ($row_chalet[$j++]);
				$chalet_prix_plein = ($row_chalet[$j++]);
				$tot_chalet_prix_plein = ($tot_chalet_prix_plein + $chalet_prix_plein);
				$chalet_prix_rabais = ($row_chalet[$j++]);
				$tot_chalet_prix_rabais = ($tot_chalet_prix_rabais + $chalet_prix_rabais);
				$chalet_actif = ($row_chalet[$j++]);
				$chalet_date_modif = ($row_chalet[$j++]);
			}
			else
			{
				die ("Il y a un probl&egrave;me dans la base de donn&eacute;es chalet !".$sql_chalet);
			}	
		}

	
	
	
	
	
		//TABLE CAFETERIA***************************************************************************************
		$sql_cafe = "SELECT nb_pers, nb_repas, prix_par_repas, lunchpm, prix_lunchpm, prix_plein, prix_rabais, date_modif
		   	    FROM base_cafeteria
	    	   WHERE code_contrat ='$code_contrat'
			   AND actif ='O';";
		$result_cafe = mysql_query($sql_cafe) or die ("Ne peut lire dans la table cafeteria".$sql_cafe);
		$num_cafe = mysql_numrows($result_cafe);		
	
		//MISE A ZERO DES VARIABLES
		$cafe_nb_pers = 0;
		$cafe_nb_repas = 0;
		$cafe_prix_par_repas = 0;
		$cafe_lunchpm = 0;
		$cafe_prix_lunchpm = 0;
		$cafe_prix_plein = 0;
		$cafe_prix_rabais = 0;
			
		if ($num_cafe)
		{
			$k = 0;
			$row_cafe = mysql_fetch_row ($result_cafe);
			$cafe_nb_pers = ($row_cafe[$k++]);
			$cafe_nb_repas = ($row_cafe[$k++]);
			$cafe_prix_par_repas = ($row_cafe[$k++]);
			$cafe_lunchpm = ($row_cafe[$k++]);
			$cafe_prix_lunchpm = ($row_cafe[$k++]);
			$cafe_prix_plein = ($row_cafe[$k++]);
			$cafe_prix_rabais = ($row_cafe[$k++]);
			$cafe_date_modif = ($row_cafe[$k++]);
			$mois_nb_repas = $mois_nb_repas + $cafe_nb_repas;
			$grand_tot_nbr_repas+=$cafe_nb_repas;
		}
	
	
	
	
	
	
		//TABLE ACTIVIT&Eacute;***************************************************************************************
		$sql_activite = "SELECT base_ref1activites.nom, base_activites.prix_plein, base_activites.prix_rabais,
		                base_activites.num_activite, base_activites.inclu, base_activites.date_modif, base_ref1activites.compte_budget
		   		  FROM base_ref1activites, base_activites
				 WHERE base_activites.code_contrat = '$code_contrat'	   
	               AND base_ref1activites.num_activite = base_activites.num_activite
				   AND base_activites.actif = 'O';";
		$result_activite = mysql_query($sql_activite) or die ("Ne peut lire dans la table base_activites<br><br>".$sql_activite);
		$num_activite = mysql_numrows($result_activite);	
	
		while ($row_activite = mysql_fetch_row ($result_activite))
		{
			//MISE A ZERO DES VARIABLES
			$activite_prix_plein = 0;
			$activite_prix_rabais = 0;
					
			if ($num_activite)
			{
				$l = 0;
				$activite_nom = ($row_activite[$l++]);
				$activite_prix_plein = ($row_activite[$l++]);
				$tot_activite_prix_plein = ($tot_activite_prix_plein + $activite_prix_plein); 
				$activite_prix_rabais = ($row_activite[$l++]);
				$tot_activite_prix_rabais = ($tot_activite_prix_rabais + $activite_prix_rabais);			
				$activite_num_activite = ($row_activite[$l++]);
				$activite_inclu = ($row_activite[$l++]);
				$activite_date_modif = ($row_activite[$l++]);
				$activite_compte_budget = ($row_activite[$l++]);
			}
			else
			{
				die ("Il y a un probl&egrave;me dans la base de donn&eacute;es activit&eacute; !".$sql_activite);
			}	
		}
	
	
	
	
	
	
		//TABLE LOCATION***************************************************************************************
		$sql_loc = "SELECT base_ref1materiels.nom, base_loc_materiels.num_materiel, base_loc_materiels.quantite, base_loc_materiels.prix_plein, base_loc_materiels.prix_rabais,
		               base_loc_materiels.inclu,base_loc_materiels.date_modif, base_ref1materiels.compte_budget
		   		  FROM base_ref1materiels, base_loc_materiels
				 WHERE base_loc_materiels.code_contrat = '$code_contrat'
				   AND base_loc_materiels.actif = 'O'	   
	               AND base_ref1materiels.num_materiel = base_loc_materiels.num_materiel;";
		$result_loc = mysql_query($sql_loc) or die ("Ne peut lire dans la table base_loc_materiels<br><br>".$sql_loc);
		$num_loc = mysql_numrows($result_loc);		
	
		while ($row_loc = mysql_fetch_row ($result_loc))
		{	
			//MISE A ZERO DES VARIABLES
			$loc_quantite = 0;
			$loc_prix_plein = 0;
			$loc_prix_rabais = 0;
					
			if ($num_loc)
			{
				$m = 0;
				$loc_nom = ($row_loc[$m++]);
				$loc_num_materiel = ($row_loc[$m++]);
				$loc_quantite = ($row_loc[$m++]);
				$loc_prix_plein = ($row_loc[$m++]);
				$tot_loc_prix_plein = ($tot_loc_prix_plein + $loc_prix_plein);
				$loc_prix_rabais = ($row_loc[$m++]);
				$tot_loc_prix_rabais = ($tot_loc_prix_rabais + $loc_prix_rabais);			
				$loc_inclu = ($row_loc[$m++]);
				$loc_date_modif = ($row_loc[$m++]);
				$loc_compte_budget = ($row_loc[$m++]);
			}
			else
			{
				die ("Il y a un probl&egrave;me dans la base de donn&eacute;es location !".$sql_loc);
			}	
		}	
	
	
	
	
	
		//TABLE ACHAT***************************************************************************************	
		$sql_achat = "SELECT base_ref1materiels.nom, base_vente_materiels.num_materiel, base_vente_materiels.quantite, base_vente_materiels.prix_plein, base_vente_materiels.prix_rabais,
		               base_vente_materiels.inclu, base_vente_materiels.date_modif, base_ref1materiels.compte_budget
	   			  FROM base_ref1materiels, base_vente_materiels
				 WHERE base_vente_materiels.code_contrat = '$code_contrat'	
				   AND base_vente_materiels.actif = 'O'   
    	           AND base_ref1materiels.num_materiel = base_vente_materiels.num_materiel;";
		$result_achat = mysql_query($sql_achat) or die ("Ne peut lire dans la table base_loc_materiels<br><br>".$sql_achat);
		$num_achat = mysql_numrows($result_achat);		
	
		while ($row_achat = mysql_fetch_row ($result_achat))
		{	
			//MISE A ZERO DES VARIABLES
			$achat_quantite = 0;
			$achat_prix_plein = 0;
			$achat_prix_rabais = 0;
						
			if ($num_achat)
			{
				$n = 0;
				$achat_nom = ($row_achat[$n++]);
				$achat_num_materiel = ($row_achat[$n++]);
				$achat_quantite = ($row_achat[$n++]);
				$achat_prix_plein = ($row_achat[$n++]);
				$tot_achat_prix_plein = ($tot_achat_prix_plein + $achat_prix_plein);
				$achat_prix_rabais = ($row_achat[$n++]);
				$tot_achat_prix_rabais = ($tot_achat_prix_rabais + $achat_prix_rabais);			
				$achat_inclu = ($row_achat[$n++]);
				$achat_date_motif = ($row_achat[$n++]);		
				$achat_compte_budget = ($row_achat[$n++]);
			}
			else
			{
				die ("Il y a un probl&egrave;me dans la base de donn&eacute;es achat !".$sql_achat);
			}	
		}	
	
	
	
	
	
	
		//TABLE RABAIS***************************************************************************************
		$sql_rabais = "SELECT code_rabais, code_contrat, prix_rabais, poste_budget, actif
		 	   		     FROM base_rabais
				        WHERE base_rabais.code_contrat = '$code_contrat'	
				          AND base_rabais.actif = 'O';";
		$result_rabais = mysql_query($sql_rabais) or die ("Ne peut lire dans la table base_rabais<br><br>".$sql_rabais);
		$num_rabais = mysql_numrows($result_rabais);		
		
		while ($row_rabais = mysql_fetch_row ($result_rabais))
		{	
			//MISE A ZERO DES VARIABLES
			$rabais_prix = 0;
			$rabais_compte_budget = 0;
		
			if ($num_rabais)
			{
				$n = 0;
				$rabais_code = ($row_rabais[$n++]);
				$rabais_code_contrat = ($row_rabais[$n++]);
				$rabais_prix = ($row_rabais[$n++]);
				$tot_rabais_prix = ($tot_rabais_prix + $rabais_prix);
				$rabais_compte_budget = ($row_rabais[$n++]);
				$rabais_actif = ($row_rabais[$n++]);
			}	
			else
			{
				die ("Il y a un probl&egrave;me dans la base de donn&eacute;es rabais !".$sql_rabais);
			}	
		}
	
	
	
	
	
	
	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	// 4 - COLLECTE DES D&Eacute;POTS RECU																		//
	//////////////////////////////////////////////////////////////////////////////////////////////////////	
		$sql_depot = "select base_depot.recu_le, base_depot.montant, base_depot.commentaire, base_depot.poste, base_depot.code_depot
			  FROM base_depot
			 WHERE base_depot.code_contrat = '$code_contrat';";
		$result_depot = mysql_query($sql_depot) or die("Probl&egrave;me de recherche dans les paiements<br>".$sql_depot);
		$num_depot = mysql_numrows($result_depot);	
	
		//MISE A ZERO DES VARIABLES
			$depot_montant = 0;
			$depot_poste = 0;
			$p2420=0;
			$p4010=0;
			$p4015=0;
			$p4020=0;
			$p4025=0;
			$p4030=0;
			$p4035=0;
			$p4040=0;
			$p4045=0;
			$p4050=0;
			$p4055=0;
			$p4060=0;
			$p4061=0;
			$p4205=0;
			$depot_total_du_contrat = 0;
		
		while ($row_depot = mysql_fetch_row ($result_depot))
		{
			//MISE A ZERO DES VARIABLES
			$depot_montant = 0;
			$depot_poste = 0;
			$depot_total_du_contrat = 0;
				
			if ($num_depot)
			{
				$w = 0;
				$depot_recu_le = ($row_depot[$w++]);
				$depot_montant = ($row_depot[$w++]);
				$depot_commentaire = ($row_depot[$w++]);
				$depot_poste = ($row_depot[$w++]);
				$depot_code_depot = ($row_depot[$w++]);
				
			
				if ($depot_poste == '2420'){	$p2420 = $p2420 + $depot_montant; $mois_2420 = $mois_2420 + $depot_montant; $grand_tot_p2420+=$depot_montant; }
				if ($depot_poste == '4010'){	$p4010 = $p4010 + $depot_montant; $mois_4010 = $mois_4010 + $depot_montant; $grand_tot_p4010+=$depot_montant; }
				if ($depot_poste == '4015'){	$p4015 = $p4015 + $depot_montant; $mois_4015 = $mois_4015 + $depot_montant; $grand_tot_p4015+=$depot_montant; }
				if ($depot_poste == '4020'){	$p4020 = $p4020 + $depot_montant; $mois_4020 = $mois_4020 + $depot_montant; $grand_tot_p4020+=$depot_montant; }
				if ($depot_poste == '4025'){	$p4025 = $p4025 + $depot_montant; $mois_4025 = $mois_4025 + $depot_montant; $grand_tot_p4025+=$depot_montant; }
				if ($depot_poste == '4030'){	$p4030 = $p4030 + $depot_montant; $mois_4030 = $mois_4030 + $depot_montant; $grand_tot_p4030+=$depot_montant; }
				if ($depot_poste == '4035'){	$p4035 = $p4035 + $depot_montant; $mois_4035 = $mois_4035 + $depot_montant; $grand_tot_p4035+=$depot_montant; }
				if ($depot_poste == '4040'){	$p4040 = $p4040 + $depot_montant; $mois_4040 = $mois_4040 + $depot_montant; $grand_tot_p4040+=$depot_montant; }
				if ($depot_poste == '4045'){	$p4045 = $p4045 + $depot_montant; $mois_4045 = $mois_4045 + $depot_montant; $grand_tot_p4045+=$depot_montant; }
				if ($depot_poste == '4050'){	$p4050 = $p4050 + $depot_montant; $mois_4050 = $mois_4050 + $depot_montant; $grand_tot_p4050+=$depot_montant; }
				if ($depot_poste == '4055'){	$p4055 = $p4055 + $depot_montant; $mois_4055 = $mois_4055 + $depot_montant; $grand_tot_p4055+=$depot_montant; }
				if ($depot_poste == '4060'){	$p4060 = $p4060 + $depot_montant; $mois_4060 = $mois_4060 + $depot_montant; $grand_tot_p4060+=$depot_montant; }
				if ($depot_poste == '4061'){	$p4061 = $p4061 + $depot_montant; $mois_4061 = $mois_4061 + $depot_montant; $grand_tot_p4061+=$depot_montant; }
				if ($depot_poste == '4205'){	$p4205 = $p4205 + $depot_montant; $mois_4205 = $mois_4205 + $depot_montant; $grand_tot_p4205+=$depot_montant; }
				$mois_montant_recu = $mois_montant_recu + $depot_montant;
				$grand_tot_montant_recu+=$depot_montant;
			
			}
			else
			{
				die ("Il y a un probl&egrave;me dans la base de donn&eacute;es rabais !".$sql_rabais);
			}	
		$depot_total_du_contrat= $p2420+$p4010+$p4015+$p4020+$p4025+$p4030+$p4035+$p4040+$p4045+$p4050+$p4055+$p4060+$p4061+$p4205;	
		}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	// 5 - CALCUL DES TOTAUX																			//
	//////////////////////////////////////////////////////////////////////////////////////////////////////	
	
		//MONTANT REEL DUN CONTRAT
		$montant_reel = ($tot_chalet_prix_plein+$cafe_prix_plein+$tot_activite_prix_plein+$tot_achat_prix_plein+$tot_loc_prix_plein-$tot_rabais_prix);
		$mois_montant_reel = $mois_montant_reel + $montant_reel;
		$grand_tot_montant_reel+=$montant_reel;
		
		//MONTANT AVEC RABAIS DUN CONTRAT
		$montant_du_contrat = ($tot_chalet_prix_rabais+$cafe_prix_rabais+$tot_activite_prix_rabais+$tot_achat_prix_rabais+$tot_loc_prix_rabais-$tot_rabais_prix);
		$mois_montant_du_contrat = $mois_montant_du_contrat + $montant_du_contrat;
		$grand_tot_montant_du_contrat+=$montant_du_contrat;
	
		//DIFFERENCE ENTRE LE MONTANT TOTAL ET LE MONTANT RECU
		$diff = $montant_du_contrat-$depot_total_du_contrat;
		$mois_diff = $mois_diff + $diff;
		$grand_tot_diff+=$diff;

	
	
	
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		// 6 - AFFICHAGE DES DONN&Eacute;ES																		//
		//////////////////////////////////////////////////////////////////////////////////////////////////////	
	
		global $Bsession_id;
	
	
	
	

		print("<tr><td><h2>&nbsp;$date_debut</td>");						//MOIS
		print("<td><h2><center><a href=\"../contract/gestion-contract.php?Bsession_id=$Bsession_id&code_contrat=$code_contrat&code_client=$code_client\">$numero_contrat</a></td>");						//CONT
		print("<td><h2>&nbsp;$client_organisme</td>");					//NO ET NOM DU GROUPE
		print("<td><h2>&nbsp;$chalet_nom_tot</td>");						//CHALETS
		print("<td align=right><h2>&nbsp;");
		if(!empty($montant_reel)){											//MONTANT REEL
			printf('%01.2f',$montant_reel); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;</td>");							//RABAIS EXTERIEUR
		print("<td align=right><h2>&nbsp;</td>");							//RABAIS SMM
		print("<td align=right><h2>&nbsp;</td>");					//RABAIS DISTRICT
		print("<td align=right><h2>&nbsp;</td>");				//RABAIS CALENDRIER
		print("<td align=right><h2>&nbsp;");
		if(!empty($montant_du_contrat)){									//MONTANT DU CONTRAT
			printf('%01.2f',$montant_du_contrat); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");

		print("<td align=right><h2><center>$client_type</td>");						//QUI
		print("<td><h2><center>$nbr_adultes</td>");						//NBR. ADULTES
		print("<td><h2><center>$nbr_jeunes</td>");							//NBR. JEUNES
		print("<td><h2><center>$nuitees</td>");							//NUIT&Eacute;ES
		print("<td><h2><center>$cafe_nb_repas</td>");						//NB REPAS

		print("<td bgcolor=black><font size=1><center><b>.</td>");
		//poste
		print("<td align=right><h2>&nbsp;");
		if(!empty($p2420)){								//2420
			printf('%01.2f',$p2420); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
		
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4010)){								//4010
			printf('%01.2f',$p4010); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4015)){								//4015
			printf('%01.2f',$p4015); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4020)){								//4020
			printf('%01.2f',$p4020); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4025)){								//4025
			printf('%01.2f',$p4025); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4030)){								//4030
			printf('%01.2f',$p4030); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4035)){								//4035
			printf('%01.2f',$p4035); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4040)){								//4040
			printf('%01.2f',$p4040); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4045)){								//4045
			printf('%01.2f',$p4045); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4050)){								//4050
			printf('%01.2f',$p4050); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4055)){								//4055
			printf('%01.2f',$p4055); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4060)){								//4060
			printf('%01.2f',$p4060); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4061)){								//4061
			printf('%01.2f',$p4061); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
		
		print("<td align=right><h2>&nbsp;");
		if(!empty($p4205)){								//4205
			printf('%01.2f',$p4205); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	
		print("<td align=right><h2>&nbsp;");
		if(!empty($depot_total_du_contrat)){									//MONTANT RECU
			printf('%01.2f',$depot_total_du_contrat); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
	

		print("<td align=right><h2>&nbsp;");
		if(!empty($diff)){														//DIFFERENCE
			printf('%01.2f',$diff); print("$&nbsp;&nbsp;&nbsp;");}
		print("</td>");
		print("</tr>");

	}
	
//AFFICHER LE DERNIER TOTAL DE MOIS	
	if(!empty($mois_actuel))
	{
	if ($mois_actuel == 1) $mois = 'janvier';
	if ($mois_actuel == 2) $mois = 'f&eacute;vrier';
	if ($mois_actuel == 3) $mois = 'mars';
	if ($mois_actuel == 4) $mois = 'avril';
	if ($mois_actuel == 5) $mois = 'mai';
	if ($mois_actuel == 6) $mois = 'juin';
	if ($mois_actuel == 7) $mois = 'juillet';
	if ($mois_actuel == 8) $mois = 'ao&ucirc;t';
	if ($mois_actuel == 9) $mois = 'septembre';
	if ($mois_actuel == 10) $mois = 'octobre';
	if ($mois_actuel == 11) $mois = 'novembre';
	if ($mois_actuel == 12) $mois = 'd&eacute;cembre';
	print("<td bgcolor=$bgcolor_sous_titre colspan=4><h2><B>Total du mois de ".$mois."</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_montant_reel); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_rabais_ext); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_rabais_smm); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_rabais_district); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_rabais_calendrier); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_montant_du_contrat); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2></td>");
	print("<td bgcolor=$bgcolor_sous_titre><center><h2><B>".$mois_nbr_adultes."</B></td>");
	print("<td bgcolor=$bgcolor_sous_titre><center><h2><B>".$mois_nbr_jeunes."</B></td>");
	print("<td bgcolor=$bgcolor_sous_titre><center><h2><B>".$mois_nuitees."</B></td>");
	print("<td bgcolor=$bgcolor_sous_titre><center><h2><B>".$mois_nb_repas."</B></td>");
	print("<td bgcolor=black></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_2420); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4010); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4015); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4020); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4025); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4030); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4035); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4040); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4045); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4050); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4055); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4060); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4061); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_4205); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_montant_recu); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right bgcolor=$bgcolor_sous_titre><h2><B>");
	printf('%01.2f',$mois_diff); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td></tr>");
	print("</tr>");
	$ok = 0;
	return array ($mois_montant_reel,$mois_rabais_ext,$mois_rabais_smm,$mois_rabais_district,$mois_rabais_calendrier,$mois_montant_du_contrat,$mois_nbr_adultes,$mois_nbr_jeunes,$mois_nuitees,$mois_nb_repas,$mois_2420,$mois_4010,$mois_4015,$mois_4020,$mois_4025,$mois_4030,$mois_4035,$mois_4040,$mois_4045,$mois_4050,$mois_4055,$mois_4060,$mois_4061,$mois_4205,$mois_montant_recu,$mois_diff);
	}
}

	
	
	
FUNCTION genere_grand_total($grand_tot_montant_reel,$grand_tot_rabais_ext,$grand_tot_rabais_smm,$grand_tot_rabais_district,$grand_tot_rabais_calendrier,$grand_tot_montant_du_contrat,$grand_tot_nbr_adultes,$grand_tot_nbr_jeunes,$grand_tot_nuitees,$grand_tot_nbr_repas,$grand_tot_p2420,$grand_tot_p4010,$grand_tot_p4015,$grand_tot_p4020,$grand_tot_p4025,$grand_tot_p4030,$grand_tot_p4035,$grand_tot_p4040,$grand_tot_p4045,$grand_tot_p4050,$grand_tot_p4055,$grand_tot_p4060,$grand_tot_p4061,$grand_tot_p4205,$grand_tot_montant_recu,$grand_tot_diff)
{		
	
//////////////////////////////////////////////////////////////////////////////////////////////////////
// 7 - AFFICHAGE DES GRANDS TOTAUX																	//
//////////////////////////////////////////////////////////////////////////////////////////////////////		
	print("<tr><td colspan=32 bgcolor=black><font size=-5>.</td></tr>");
	print("<tr><td align=right colspan=4><h2><B>TOTAUX</B>&nbsp;&nbsp;&nbsp;</h2></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_montant_reel); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_rabais_ext); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_rabais_smm); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_rabais_district); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_rabais_calendrier); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_montant_du_contrat); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td><h2><br><br></td>");
	print("<td><h2><center><B>".$grand_tot_nbr_adultes."</B></td>");
	print("<td><h2><center><B>".$grand_tot_nbr_jeunes."</B></td>");
	print("<td><h2><center><B>".$grand_tot_nuitees."</B></td>");
	print("<td><h2><center><B>".$grand_tot_nbr_repas."</B></td>");
	print("<td bgcolor=black>.</td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p2420); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4010); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4015); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4020); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4025); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4030); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4035); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4040); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4045); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4050); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4055); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4060); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4061); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_p4205); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_montant_recu); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td>");
	print("<td align=right><h2><B>");
	printf('%01.2f',$grand_tot_diff); print("$&nbsp;&nbsp;&nbsp;");
	print("</B></td></tr>");
	print("</tr>");
	
	

	//////////////////////////////////////////////////////////////////////////////////////////////////////
	// 8 - ENTETE DU TABLEAU																			//
	//////////////////////////////////////////////////////////////////////////////////////////////////////

	
	//titre des colonnes
	print("<tr><td bgcolor=$bgcolor_sous_titre><h2><center><b>MOIS</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>CONT.</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>NO. ET NOM DU GROUPE</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>CHALET</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>MONTANT<br>R&Eacute;EL</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>RABAIS<br>EXT.</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>RABAIS<br>S.M.M.</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>RABAIS<br>DISTRICT</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>RABAIS<br>CALENDRIER</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>MONTANT<br>DU<br>CONTRAT</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>QUI</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>NBR.<br>ADULTES</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>NBR.<br>JEUNES</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>NUIT&Eacute;ES</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>NB REPAS</td>");

	print("<td bgcolor=black><font size=1><center><b>.</td>");
	//poste
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b><br><b>2420</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>SCOUTS<br>S.M.M.<br><b>4010</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>PROG.<br>ACC&Egrave;S<br>TRIO<br><b>4015</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>SCOUTS<br>EXT&Eacute;RIEUR<br><b>4020</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>FORMATION<br>DISTRICT<br><b>4025</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>FAMILLES<br><b>4030</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>&Eacute;COLE ET<br>AUTRES<br><b>4035</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>H&Eacute;BERG.<br>EMPLOY&Eacute;S<br><b>4040</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>ACTIVIT&Eacute;S<br>BASES<br><b>4045</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>PLEIN AIR<br>ATELIERS<br>BOIS/PAILLE<br><b>4050</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>CAMP DE<br>JOUR<br><b>4055</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>CAF&Eacute;T&Eacute;RIA<br><b>4060</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>REPAS EMPLOY&Eacute;S<br><b>4061</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b><br><b>4205</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>MONTANT<br>RE&Ccedil;U</td>");
	print("<td bgcolor=$bgcolor_sous_titre><h2><center><b>DIFF.</td>");
	print("</tr></table>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");

	
	
}	

//BAS DE PAGE**********************************************************************
	
print("<BR><BR><hr><table width=100%><tr><td width=50%><center>");
	//Afficher le bouton de retour au menu principal.

	print("<a href='rapport.php?Bsession_id=".$Bsession_id."'><img src=bouton2.gif border=0></a>");
	
	print("<a href='../menu-base.php?Bsession_id=".$Bsession_id."'><img src=bouton1.gif border=0></a>");

print("</td><tr></table>");
	
?>

</body>
</html>	
	
	
	
	
